Bug 246522 - kdebase: kicker taskbar no longer groups konsole windows after 3.5.7 upgrade
kdebase: kicker taskbar no longer groups konsole windows after 3.5.7 upgrade
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
6
All Linux
low Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
http://bugs.kde.org/show_bug.cgi?id=1...
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-02 16:07 EDT by long
Modified: 2008-05-06 15:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:41:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 146151 None None None Never
KDE Software Compilation 83974 None None None Never

  None (edit)
Description long 2007-07-02 16:07:56 EDT
Description of problem:my konsole windows no longer get grouped together by the
kicker taskbar after the kde 3.5.7 upgrade.  Other windows (like seamonkey and
xpdf) still get grouped together.


Version-Release number of selected component (if applicable):
kdebase-3.5.7-0.1.fc6

How reproducible:
always?

Steps to Reproduce:
1.Control Center -> Desktop -> Taskbar
2.Use these settings:
Sort alphabetically by application name
Show winsow from all screens
Show application icons
Show window list button
Group similar tasks: When Taskbar Full
Appearance: Elegant
3. Start opening many new konsole windows
  
Actual results: Each new konsole window gets a new button in the taskbar


Expected results: When the taskbar is full it starts grouping all konsole
windows in one button (like it did in 3.5.6)


Additional info:
Comment 1 Stefan Becker 2007-07-13 01:47:20 EDT
This also applies to F7 (and probably devel). This is *highly* annoying.

Added KDE bug URL. Unfortunately it lists the wrong SVN revision. The correct
one is:

<http://websvn.kde.org/?view=rev&revision=669488>
Comment 2 Stefan Becker 2007-07-13 06:21:12 EDT
Oops. It seems *both* patches are required:

 - qt:
<http://websvn.kde.org/branches/qt/3.3/qt-copy/patches/0078-argb-visual-hack.patch?view=markup&pathrev=669487>
 - kdebase: <http://websvn.kde.org/?view=rev&revision=669488>

After rebuilding qt & kdebase with those patches grouping works again for
konsole windows.
Comment 3 Rex Dieter 2007-07-13 13:32:44 EDT

*** This bug has been marked as a duplicate of 244906 ***
Comment 4 long 2007-08-21 15:49:56 EDT
They won't release updates for FC6 in bug 244906 so I'm reopening this case.
Comment 5 Bug Zapper 2008-04-04 03:26:40 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 15:41:49 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.